## gnome-recipes 2.0.4

=== meson_options.txt ===
option('autoar', type: 'combo', choices: ['auto', 'yes', 'no'], value: 'auto', description: 'Use gnome-autoar')
option('gspell', type: 'combo', choices: ['auto', 'yes', 'no'], value: 'auto', description: 'Use gspell')
option('canberra', type: 'combo', choices: ['auto', 'yes', 'no'], value: 'auto', description: 'Use libcanberra')

## gnome-recipes 0.16.0

=== debian/changelog ===
gnome-recipes (0.16.0-0ubuntu1) zesty; urgency=medium

  * Initial release (Closes: #854951) (LP: #1663875)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 25 Feb 2017 06:21:31 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-recipes
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: appstream-util,
               autoconf-archive,
               debhelper (>= 10),
               gnome-pkg-tools,
               libcanberra-dev,
               libgnome-autoar-0-dev,
               libgspell-1-dev,
               libgtk-3-dev (>= 3.20),
               pkg-config (>= 0.22)
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gnome-recipes.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gnome-recipes.git
Homepage: https://wiki.gnome.org/Apps/Recipes

Package: gnome-recipes
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         default-dbus-session-bus | dbus-session-bus,
         gnome-recipes-data (= ${source:Version}),
         xdg-desktop-portal-gtk
Description: Recipe application for GNOME
 GNOME Recipes is an easy-to-use application that will help you to discover
 what to cook for today, tomorrow, the rest of the week, and your special
 occasions.
 .
 GNOME Recipes comes with a collection of recipes that have been collected
 by GNOME contributors from all over the world. It also lets you store your
 own recipes, and share them with your friends.

Package: gnome-recipes-data
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: recipes
Description: Recipe application for GNOME (data files)
 GNOME Recipes is an easy-to-use application that will help you to discover
 what to cook for today, tomorrow, the rest of the week, and your special
 occasions.
 .
 GNOME Recipes comes with a collection of recipes that have been collected
 by GNOME contributors from all over the world. It also lets you store your
 own recipes, and share them with your friends.
 .
 This package contains architecture-independent data files.

## gnome-recipes 0.18.0

=== debian/changelog ===
gnome-recipes (0.18.0-0ubuntu2) zesty; urgency=medium

  * Add debian/patches/git-dont-validate-screenshot-urls.patch:
    fix build without external network access

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 02 Mar 2017 16:56:16 -0500

gnome-recipes (0.18.0-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * debian/control.in:
    - Build-depend on libappstream-glib-dev and libgirepository1.0-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 02 Mar 2017 14:40:43 -0500

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,10 @@
                autoconf-archive,
                debhelper (>= 10),
                gnome-pkg-tools,
+               libappstream-glib-dev,
                libcanberra-dev,
                libgnome-autoar-0-dev,
+               libgirepository1.0-dev (>= 1.42.0),
                libgspell-1-dev,
                libgtk-3-dev (>= 3.20),
                pkg-config (>= 0.22)
@@ -42,7 +44,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-Recommends: recipes
+Recommends: gnome-recipes
 Description: Recipe application for GNOME (data files)
  GNOME Recipes is an easy-to-use application that will help you to discover
  what to cook for today, tomorrow, the rest of the week, and your special

## gnome-recipes 0.20.0

=== debian/changelog ===
gnome-recipes (0.20.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * Drop patch, applied in new release
  * debian/control.in:
    - Drop build-depends on libappstream-glib-dev, no longer used

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 05 Mar 2017 14:40:17 -0500

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,9 @@
                autoconf-archive,
                debhelper (>= 10),
                gnome-pkg-tools,
-               libappstream-glib-dev,
                libcanberra-dev,
+               libgirepository1.0-dev (>= 1.42.0),
                libgnome-autoar-0-dev,
-               libgirepository1.0-dev (>= 1.42.0),
                libgspell-1-dev,
                libgtk-3-dev (>= 3.20),
                pkg-config (>= 0.22)

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_install:
	dh_install --fail-missing

## gnome-recipes 1.0.0

=== debian/changelog ===
gnome-recipes (1.0.0-0ubuntu2) zesty; urgency=medium

  * Install gsettings schemas

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 17 Mar 2017 15:21:16 -0400

gnome-recipes (1.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release
    - Note that previously saved favorites and shopping lists will
      be lost when upgrading to this version!

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 17 Mar 2017 12:05:41 -0400

## gnome-recipes 1.0.4

=== debian/changelog ===
gnome-recipes (1.0.4-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * debian/control.in:
    - Build-depend on yelp-tools
  * debian/gnome-recipes-data.install:
    - Install new Help files
  * Add revert-rewrite-service-file.patch:
    - Revert commit that broke D-Bus activation

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 01 Apr 2017 16:03:13 -0400

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,8 @@
                libgnome-autoar-0-dev,
                libgspell-1-dev,
                libgtk-3-dev (>= 3.20),
-               pkg-config (>= 0.22)
+               pkg-config (>= 0.22),
+               yelp-tools
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gnome-recipes.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gnome-recipes.git

## gnome-recipes 1.6.2

=== debian/changelog ===
gnome-recipes (1.6.2-2) unstable; urgency=medium

  * Update debian/copyright (Closes: #872346)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 08 Oct 2017 09:21:44 -0400

gnome-recipes (1.6.2-1) unstable; urgency=medium

  * Initial release (Closes: #854951) (LP: #1663875)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 13 Aug 2017 20:53:11 -0400

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 Source: gnome-recipes
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: appstream-util,
-               autoconf-archive,
-               debhelper (>= 10),
+               debhelper (>= 10.3),
                gnome-pkg-tools,
+               itstool,
                libcanberra-dev,
                libgirepository1.0-dev (>= 1.42.0),
                libgnome-autoar-0-dev,
                libgspell-1-dev,
-               libgtk-3-dev (>= 3.20),
-               pkg-config (>= 0.22),
-               yelp-tools
-Standards-Version: 3.9.8
+               libgtk-3-dev (>= 3.22),
+               libsoup-gnome2.4-dev,
+               meson (>= 0.36.0),
+               pkg-config (>= 0.22)
+Standards-Version: 4.0.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gnome-recipes.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gnome-recipes.git
 Homepage: https://wiki.gnome.org/Apps/Recipes
@@ -29,7 +29,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          default-dbus-session-bus | dbus-session-bus,
-         gnome-recipes-data (= ${source:Version}),
+         gnome-recipes-data (>= ${source:Version}),
          xdg-desktop-portal-gtk
 Description: Recipe application for GNOME
  GNOME Recipes is an easy-to-use application that will help you to discover
@@ -44,7 +44,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-Recommends: gnome-recipes
+Recommends: gnome-recipes,
+            yelp
 Description: Recipe application for GNOME (data files)
  GNOME Recipes is an easy-to-use application that will help you to discover
  what to cook for today, tomorrow, the rest of the week, and your special

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,10 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
 %:
-	dh $@ --with gnome
+	dh $@ --with gnome --buildsystem=meson
 
-override_dh_autoreconf:
-	dh_autoreconf --as-needed
+override_dh_auto_configure:
+	dh_auto_configure -- -Dautoar=yes -Dcanberra=yes -Dgspell=yes
 
 override_dh_install:
 	dh_install --fail-missing

## gnome-recipes 2.0.2

=== debian/changelog ===
gnome-recipes (2.0.2-5build1) focal; urgency=medium

  * No change rebuild with the new gspell soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 29 Jan 2020 10:00:10 +0100

gnome-recipes (2.0.2-5) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 08:37:54 -0500

gnome-recipes (2.0.2-4) unstable; urgency=medium

  * Drop dependency on xdg-desktop-portal-gtk
  * Use dh_missing --fail-missing instead of dh_install --fail-missing
  * Opt out of Ubuntu language pack handling since there were issues
    generating the translation template file.

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 08 Oct 2018 19:01:51 -0400

gnome-recipes (2.0.2-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Add X-Ubuntu-Use-Langpack to opt in to Ubuntu language pack handling
    (LP: #1779574)
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 05 Sep 2018 13:12:43 -0400

gnome-recipes (2.0.2-2) unstable; urgency=medium

  * Bump debhelper compat to 11
  * Fix arch-all build

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 14:10:42 -0500

gnome-recipes (2.0.2-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Use appstream-util appdata-to-news to install NEWS

  [ Paul van Tilburg ]
  * New upstream release

 -- Paul van Tilburg <paulvt@debian.org>  Fri, 15 Dec 2017 21:31:28 +0100

gnome-recipes (2.0.0-1) unstable; urgency=medium

  [ Paul van Tilburg ]
  * New upstream release (Closes: #880867)
  * debian/control.in:
    - Bump the standards version to 4.1.1; no changes required
    - Add (new) build-depends on libgoa-1.0-dev, libjson-glib-dev and
      librest-dev
    - Set multi-arch flag to foreign for gnome-recipes-data
  * debian/gnome-recipes.manpages, debian/gnome-recipes.1: add a man page
  * debian/recipes*: remove files used from old "recipes" package name

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 07 Nov 2017 11:28:50 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gnome-recipes
@@ -8,20 +8,23 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: appstream-util,
-               debhelper (>= 10.3),
+               debhelper (>= 11),
                gnome-pkg-tools,
                itstool,
                libcanberra-dev,
                libgirepository1.0-dev (>= 1.42.0),
                libgnome-autoar-0-dev,
+               libgoa-1.0-dev,
                libgspell-1-dev,
                libgtk-3-dev (>= 3.22),
+               libjson-glib-dev,
+               librest-dev,
                libsoup-gnome2.4-dev,
                meson (>= 0.36.0),
                pkg-config (>= 0.22)
-Standards-Version: 4.0.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gnome-recipes.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gnome-recipes.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-recipes
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-recipes.git
 Homepage: https://wiki.gnome.org/Apps/Recipes
 
 Package: gnome-recipes
@@ -29,8 +32,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          default-dbus-session-bus | dbus-session-bus,
-         gnome-recipes-data (>= ${source:Version}),
-         xdg-desktop-portal-gtk
+         gnome-recipes-data (>= ${source:Version})
 Description: Recipe application for GNOME
  GNOME Recipes is an easy-to-use application that will help you to discover
  what to cook for today, tomorrow, the rest of the week, and your special
@@ -42,6 +44,7 @@
 
 Package: gnome-recipes-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Recommends: gnome-recipes,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- -Dautoar=yes -Dcanberra=yes -Dgspell=yes

override_dh_missing:
	dh_missing --fail-missing

override_dh_installdocs:
	dh_installdocs
	mkdir -p debian/gnome-recipes/usr/share/doc/gnome-recipes
	appstream-util appdata-to-news $(CURDIR)/*/data/org.gnome.Recipes.appdata.xml \
		> debian/gnome-recipes/usr/share/doc/gnome-recipes/NEWS

## gnome-recipes 2.0.4

=== debian/changelog ===
gnome-recipes (2.0.4-5) unstable; urgency=medium

  * Team upload
  * d/control: Remove unnecessary B-D on libgirepository1.0-dev
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/salsa-ci.yml: Add

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Sep 2025 08:18:26 +0100

gnome-recipes (2.0.4-4) unstable; urgency=medium

  * Team upload
  * Switch to appstreamcli from appstream-util for NEWS file creation

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 07:28:22 +0200

gnome-recipes (2.0.4-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Oct 2024 10:57:35 -0400

gnome-recipes (2.0.4-2) experimental; urgency=medium

  [ Jeremy Bícha ]
  * Add proposed patch to fix build with libsoup3 (Closes: #1017490)
  * Update Build-Depends
  * Cherry-pick other build fixes
  * Stop using debian/control.in and dh-sequence-gnome
  * Bump Standards Version to 4.7.0

  [ Debian Janitor ]
  * Add debian/upstream/metadata

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 17 Sep 2024 11:18:57 -0400

gnome-recipes (2.0.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set upstream metadata fields: Contact.
  * Update standards version to 4.6.0, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Jeremy Bicha ]
  * New upstream release
  * debian/gnome-recipes.install: Update for new Appstream metadata location
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 07 Feb 2022 08:30:49 -0500

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,21 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gnome-recipes
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: appstream-util,
-               debhelper (>= 11),
-               gnome-pkg-tools,
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
+Build-Depends: appstream,
+               debhelper-compat (= 13),
                itstool,
                libcanberra-dev,
-               libgirepository1.0-dev (>= 1.42.0),
                libgnome-autoar-0-dev,
                libgoa-1.0-dev,
                libgspell-1-dev,
                libgtk-3-dev (>= 3.22),
                libjson-glib-dev,
                librest-dev,
-               libsoup-gnome2.4-dev,
                meson (>= 0.36.0),
-               pkg-config (>= 0.22)
-Standards-Version: 4.3.0
+               pkgconf
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-recipes
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-recipes.git
 Homepage: https://wiki.gnome.org/Apps/Recipes

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dautoar=yes -Dcanberra=yes -Dgspell=yes

execute_after_dh_installdocs:
	mkdir -p debian/gnome-recipes/usr/share/doc/gnome-recipes
	appstreamcli metainfo-to-news $(CURDIR)/*/data/org.gnome.Recipes.appdata.xml \
		debian/gnome-recipes/usr/share/doc/gnome-recipes/NEWS
